summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:57:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:37 +0200
commitc4a53f20b917c32f0d717d9812cabdb3c95ce1aa (patch)
treeaee26aaad995025466db713d26dc6c2ace21a840 /desktop
parente99f6a3a273b7d7dad67e00c62de3a00fa148a7d (diff)
downloadslackbuilds-c4a53f20b917c32f0d717d9812cabdb3c95ce1aa.tar.gz
slackbuilds-c4a53f20b917c32f0d717d9812cabdb3c95ce1aa.tar.xz
desktop/macopix: Added to 13.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/macopix/README4
-rw-r--r--desktop/macopix/macopix.SlackBuild82
-rw-r--r--desktop/macopix/macopix.info10
-rw-r--r--desktop/macopix/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/desktop/macopix/README b/desktop/macopix/README
new file mode 100644
index 0000000000..e37dacb0ee
--- /dev/null
+++ b/desktop/macopix/README
@@ -0,0 +1,4 @@
+MaCoPiX (Mascot Constructive Pilot for X) is a desktop mascot application.
+
+NOTE: You cannot start MaCoPiX w/o any mascots. Please download at least
+one mascot from http://rosegray.sakura.ne.jp/macopix/dl-e.html#mascot.
diff --git a/desktop/macopix/macopix.SlackBuild b/desktop/macopix/macopix.SlackBuild
new file mode 100644
index 0000000000..e4fbf55765
--- /dev/null
+++ b/desktop/macopix/macopix.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for MaCoPiX
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=macopix
+VERSION=${VERSION:-1.7.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+mkdir -p $PKG/usr/share/macopix/{pixmap,sounds}
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/macopix/macopix.info b/desktop/macopix/macopix.info
new file mode 100644
index 0000000000..61ec5cf244
--- /dev/null
+++ b/desktop/macopix/macopix.info
@@ -0,0 +1,10 @@
+PRGNAM="macopix"
+VERSION="1.7.4"
+HOMEPAGE="http://rosegray.sakura.ne.jp/macopix/index-e.html"
+DOWNLOAD="http://rosegray.sakura.ne.jp/macopix/macopix-1.7.4.tar.bz2"
+MD5SUM="dee0d3ad046891bd6ec8c0d01d631bb5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="dsomero"
diff --git a/desktop/macopix/slack-desc b/desktop/macopix/slack-desc
new file mode 100644
index 0000000000..5688acbaab
--- /dev/null
+++ b/desktop/macopix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+macopix: macopix (a desktop mascot application)
+macopix:
+macopix: MaCoPiX (Mascot Constructive Pilot for X) is a desktop mascot
+macopix: application for UNIX / X Window system. You can make window sitters,
+macopix: fixed desktop mascots, and, furthermore, desktop clock mascots,
+macopix: using MaCoPiX.
+macopix:
+macopix:
+macopix:
+macopix:
+macopix: